| Version: 3.2.5

Classes | Enumerations | Variables
buttonbar.h File Reference

## Classes

class | wxRibbonButtonBar
| A ribbon button bar is similar to a traditional toolbar. More...
class | wxRibbonButtonBarEvent
| Event used to indicate various actions relating to a button on a wxRibbonButtonBar. More...

## Enumerations

enum

wxRibbonButtonBarButtonState {
wxRIBBON_BUTTONBAR_BUTTON_SMALL = 0 << 0 ,
wxRIBBON_BUTTONBAR_BUTTON_MEDIUM = 1 << 0 ,
wxRIBBON_BUTTONBAR_BUTTON_LARGE = 2 << 0 ,
wxRIBBON_BUTTONBAR_BUTTON_SIZE_MASK = 3 << 0 ,
wxRIBBON_BUTTONBAR_BUTTON_NORMAL_HOVERED = 1 << 3 ,
wxRIBBON_BUTTONBAR_BUTTON_DROPDOWN_HOVERED = 1 << 4 ,
wxRIBBON_BUTTONBAR_BUTTON_HOVER_MASK = wxRIBBON_BUTTONBAR_BUTTON_NORMAL_HOVERED | wxRIBBON_BUTTONBAR_BUTTON_DROPDOWN_HOVERED ,
wxRIBBON_BUTTONBAR_BUTTON_NORMAL_ACTIVE = 1 << 5 ,
wxRIBBON_BUTTONBAR_BUTTON_DROPDOWN_ACTIVE = 1 << 6 ,
wxRIBBON_BUTTONBAR_BUTTON_ACTIVE_MASK = wxRIBBON_BUTTONBAR_BUTTON_NORMAL_ACTIVE | wxRIBBON_BUTTONBAR_BUTTON_DROPDOWN_ACTIVE ,
wxRIBBON_BUTTONBAR_BUTTON_DISABLED = 1 << 7 ,
wxRIBBON_BUTTONBAR_BUTTON_TOGGLED = 1 << 8 ,
wxRIBBON_BUTTONBAR_BUTTON_STATE_MASK = 0x1F8
}

| Flags for button bar button size and state. More...

## Variables

wxEventType | wxEVT_RIBBONBUTTONBAR_CLICKED
wxEventType | wxEVT_RIBBONBUTTONBAR_DROPDOWN_CLICKED

## Enumeration Type Documentation

## ◆ wxRibbonButtonBarButtonState

enum wxRibbonButtonBarButtonState

Flags for button bar button size and state.

Buttons on a ribbon button bar can each come in three sizes: small, medium, and large. In some places this is called the size class, and the term size used for the pixel width and height associated with a particular size class.

A button can also be in zero or more hovered or active states, or in the disabled state.

Enumerator
wxRIBBON_BUTTONBAR_BUTTON_SMALL | Button is small (the interpretation of small is dependent upon the art provider, but it will be smaller than medium).
wxRIBBON_BUTTONBAR_BUTTON_MEDIUM | Button is medium sized (the interpretation of medium is dependent upon the art provider, but it will be between small and large).
wxRIBBON_BUTTONBAR_BUTTON_LARGE | Button is large (the interpretation of large is dependent upon the art provider, but it will be larger than medium).
wxRIBBON_BUTTONBAR_BUTTON_SIZE_MASK | A mask to extract button size from a combination of flags.
wxRIBBON_BUTTONBAR_BUTTON_NORMAL_HOVERED | The normal (non-dropdown) region of the button is being hovered over by the mouse cursor. Only applicable to normal and hybrid buttons.
wxRIBBON_BUTTONBAR_BUTTON_DROPDOWN_HOVERED | The dropdown region of the button is being hovered over by the mouse cursor. Only applicable to dropdown and hybrid buttons.
wxRIBBON_BUTTONBAR_BUTTON_HOVER_MASK | A mask to extract button hover state from a combination of flags.
wxRIBBON_BUTTONBAR_BUTTON_NORMAL_ACTIVE | The normal (non-dropdown) region of the button is being pressed. Only applicable to normal and hybrid buttons.
wxRIBBON_BUTTONBAR_BUTTON_DROPDOWN_ACTIVE | The dropdown region of the button is being pressed. Only applicable to dropdown and hybrid buttons.
wxRIBBON_BUTTONBAR_BUTTON_ACTIVE_MASK | A mask to extract active flags.
wxRIBBON_BUTTONBAR_BUTTON_DISABLED | The button is disabled. Hover flags may still be set when a button is disabled, but should be ignored during drawing if the button is disabled.
wxRIBBON_BUTTONBAR_BUTTON_TOGGLED | The button is a toggle button which is currently in the toggled state.
wxRIBBON_BUTTONBAR_BUTTON_STATE_MASK | A mask to extract button state from a combination of flags.

## Variable Documentation

## ◆ wxEVT_RIBBONBUTTONBAR_CLICKED

wxEventType wxEVT_RIBBONBUTTONBAR_CLICKED

## ◆ wxEVT_RIBBONBUTTONBAR_DROPDOWN_CLICKED

wxEventType wxEVT_RIBBONBUTTONBAR_DROPDOWN_CLICKED